﻿namespace Actimizer.LRM.Contracts
{
    public enum CallEndCause
    {
		/// <summary>
		/// The call is still in progress or the proper end cause could not be determined.
		/// </summary>
        NotApplicable = 0,

		/// <summary>
		/// The call was disconnected normally, by either end.
		/// </summary>
        NormalDisconnect = 1,

		/// <summary>
		/// There was no response to the outgoing call.
		/// </summary>
        NoResponse = 2,

		/// <summary>
		/// The dialed number was busy.
		/// </summary>
        Busy = 3,

		/// <summary>
		/// The agent marked this call as voice mail.
		/// </summary>
        VoiceMail = 4,

		/// <summary>
		/// The system hung up this call without connecting it to an agent.
		/// </summary>
        DroppedCall = 5,

		/// <summary>
		/// The agent cancelled the call during the dialing / ringing phase.
		/// </summary>
        DialingCancelled = 6
    }
}