using System;
using System.Collections.Generic;

namespace Actimizer.LRM.Contracts {
    public record LeadForExport {
        public required string UniqueId { get; init; }

        public required Campaign Campaign { get; init; }
        public required LeadPool LeadPool { get; init; }

        public required LeadStatus Status { get; init; }
        public required LeadClosure? Closure { get; init; }
        public required int Priority { get; init; }

        public required IReadOnlyList<string> ClosureData { get; init; }

        public required DateTime? NextDialTime { get; init; }
        public required DateTime LastModifiedTime { get; init; }
        public required User LastModifiedByUser { get; init; }
        public required User UploadedByUser { get; init; }
        public required User FirstProcessedByUser { get; init; }
        public required User OwnerUser { get; init; }
        public required OrgUnit OwnerOrgUnit { get; init; }
        public required DateTime? FirstProcessedTime { get; init; }
        public required DateTime? UploadTime { get; init; }
        public required DateTime? FirstCallTime { get; init; }
        public required DateTime? LastCallTime { get; init; }

        public required IDictionary<string, string> Data { get; init; }
        public required IDictionary<string, string> CustomData { get; init; }
    }
}
