namespace Actimizer.LRM.Contracts
{
    /// <summary>
    /// Specifies the different reasons for releasing a lead.
    /// </summary>
    public enum LeadReleaseType
    {
        CallWrappedUp = 10,
        DialingAutomation = 20,
        ManualNewLead = 30,
        NewLeadFromTriggerCloning = 31,
        ManualEditLead = 40,
        BatchOperation = 50,
        LeadClosedBySystem = 60
    }

    public static class LeadReleaseTypeExtensions
    {
        public static bool IsTriggerableReleaseType(this LeadReleaseType releaseType)
        {
            switch (releaseType)
            {
                case LeadReleaseType.CallWrappedUp:
                case LeadReleaseType.ManualNewLead:
                case LeadReleaseType.NewLeadFromTriggerCloning:
                case LeadReleaseType.ManualEditLead:
                case LeadReleaseType.LeadClosedBySystem:
                case LeadReleaseType.DialingAutomation:
                    return true;
            }

            return false;
        }

        public static bool IsLeadUpdatableQueueType( this LeadReleaseType releaseType )
        {
            switch ( releaseType )
            {
                case LeadReleaseType.CallWrappedUp:
                case LeadReleaseType.ManualNewLead:
                case LeadReleaseType.NewLeadFromTriggerCloning:
                case LeadReleaseType.ManualEditLead:
                case LeadReleaseType.DialingAutomation:
                    return true;
            }

            return false;
        }
    }
}
