using System.Collections.Generic;
using System.ComponentModel;
using System.Runtime.Serialization;

namespace Actimizer.LRM.Contracts
{
    [DataContract]
    public record OrgUnit
    {
        [DataMember( IsRequired = true )]
        public required string UniqueId { get; init; }

        [DataMember( IsRequired=true )]
        public required string Name { get; init; }

		[Description( "The organizational code for this unit" )]
        [DataMember( IsRequired=true )]
        public required string OrgCode { get; init; }

		[Description( "The level in the hierarchy of this organizational unit. 0 equals root" )]
        [DataMember( IsRequired=true )]
        public required int? Level { get; init; }

		[Description( "The parent of this organizational unit. Is null for root" )]
        [DataMember( IsRequired=false )]
        public required OrgUnit Parent { get; init; }

		[Description( "The children of this organizational unit" )]
        [DataMember( IsRequired=false )]
        public required IEnumerable<OrgUnit> Children { get; init; }

		[Description( "The users of this organizational unit" )]
        [DataMember( IsRequired=false )]
        public required IEnumerable<User> Users { get; init; }
    }
}
