using System;

namespace Actimizer.LRM.Contracts
{
    public enum OutgoingQueuedCallResult {
        Failed = 1,
        CalleeHungUp = 4,
        NoAgentAvailable = 5,
        InQueue = 6,
        DelegatedToAgent = 7,
        Timeout = 8,

        DialbackQueued = 9,
        DialbackExpired = 10,
        DialbackDelegated = 11,
        DialbackCancelled = 12,
    }

    public class OutgoingQueuedCall
    {
        public string UniqueId { get; set; }

        public string LeadUniqueId { get; private set; }
        public DateTime StartTime { get; private set; }
        public string LeadPhoneNumber { get; private set; }
        public DateTime? ConnectedTime { get; internal set; }
        public DateTime? EndedTime { get; internal set; }
        public string LeadCallUniqueId { get; internal set; }
        public OutgoingQueuedCallResult? Result { get; internal set; }
    }
}
