﻿using System.Collections.Generic;
using System.ComponentModel;

namespace Actimizer.LRM.Contracts
{
    public enum WebserviceLeadDefinitionEntryAccess { None = 0, Partner = 1, Full = 2 }

    public class WebserviceAccount
    {
        [Description( "The username for this account" )]
        public string Username { get; set; }

        [Description( "The UI user associated with this account" )]
        public User UIUser { get; set; }

        [Description( "Indicates whether logging of requests is enabled" )]
        public bool LogRequestData { get; set; }

        [Description( "Indicates which lead definition entries this account can export in certain cases" )]
        public WebserviceLeadDefinitionEntryAccess LeadDefinitionEntryAccess { get; set; }

        [Description( "A list of simple text patterns, controlling which projects this account has access to" )]
        public IEnumerable<string> ProjectRights { get; set; }

        [Description( "A map of the resource type accessible by this account and the allowed verbs" )]
        public IDictionary<APIResourceType, APIMethod[]> ResourceRights { get; set; }
    }
}